# API によるアカウントの登録時のアカウント確認をテストする テスト用の API キーを使用した API によるアカウント登録の際に、連結アカウントのさまざまな確認状態をテストする方法の詳細を説明します。 # Accounts v2 > This is a Accounts v2 for when accounts-namespace is v2. View the full page at https://docs.stripe.com/connect/testing-verification?accounts-namespace=v2. このドキュメントは、[API によるアカウント登録](https://docs.stripe.com/connect/api-onboarding.md)、[アカウントの更新](https://docs.stripe.com/connect/updating-service-agreements.md)方法、[本人確認](https://docs.stripe.com/connect/identity-verification.md)について十分に理解していることを前提としています。 確認フローをテストして、アカウントの状態の変化 (支払いを有効または無効にする場合など) に対応できることを確認する必要があります。通常、アカウントの状態は、要件が満たされた後、または処理または時間のしきい値に達したときに変化します。以下のセクションでは、これらの変更と、確認フローをテストする方法について説明します。 ## 初期要件のテスト まず、*サンドボックス* (A sandbox is an isolated test environment that allows you to test Stripe functionality in your account without affecting your live integration. Use sandboxes to safely experiment with new features and changes)で連結アカウントを新規作成し、銀行口座を追加して、アカウント所有者が Stripe 利用規約に同意したことを示します。Stripe では、連結アカウントが Payouts を受け取る前に [Stripe 利用規約](https://docs.stripe.com/connect/updating-service-agreements.md#tos-acceptance)に明示的に同意することを求めています。この例では、`identity.entity_type` は `company` に設定されており、`external_account` はトークン化された Stripe テストアカウントをリマインダーとして使用して、API コールでの機密情報の漏洩を回避します。 > Connect プラットフォームのユーザー登録を開始した Stripe アカウントからテスト用の API キーを指定する必要があります。自動入力された Stripe のテスト用 API キーを使用すると、これらのサンプルリクエストが失敗します。 `Account` を作成する際に、`identity.country` を設定し、`card_payments` ケイパビリティと `stripe_balance.stripe_transfers` ケイパビリティをリクエストする必要があります。以下の例は、`merchant` と `recipient` の設定を持つプラットフォーム管理アカウントの例です。 ```curl curl -X POST https://api.stripe.com/v2/core/accounts \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2025-11-17.preview" \ --json '{ "identity": { "country": "US", "entity_type": "company", "attestations": { "terms_of_service": { "account": { "date": "2019-01-19T19:51:13Z", "ip": "172.18.80.19" } } } }, "dashboard": "none", "defaults": { "responsibilities": { "losses_collector": "application", "fees_collector": "stripe" }, "currency": "usd" }, "configuration": { "merchant": { "capabilities": { "card_payments": { "requested": true } } }, "recipient": { "capabilities": { "stripe_balance": { "stripe_transfers": { "requested": true } } } } } }' ``` この時点でアカウントは作成されますが、確認要件を満たし、入金方法を関連付けるまで、支払いと *Payouts* は有効になりません。`requirements.entries` 配列を確認して、取得する必要がある情報を判断します。現在必須のエントリの `minimum_deadline.status` は `currently_due` です。 ```json { "id": "{% identifier type=\"connectedAccount\" quoteType=\"double\" /%}", "object": "account", "identity": { "country": "US", "entity_type": "company" }, "dashboard": "none", "defaults": { "responsibilities": { "losses_collector": "application", "fees_collector": "stripe" }, "currency": "usd" }, "configuration": { "merchant": { "capabilities": { "card_payments": { "status": "restricted", "status_details": [ { "code": "determining_status", "resolution": "provide_info" } ] } } }, "recipient": { "capabilities": { "transfers": { "status": "restricted", "status_details": [ { "code": "determining_status", "resolution": "provide_info" } ] } } } }, "requirements": { "summary": { "minimum_deadline": { "time": 1700000000, "status": "currently_due" } }, "entries": [ { "id": "reqent_1", "description": "configuration.merchant.mcc", "minimum_deadline": { "status": "currently_due" }, "awaiting_action_from": "user", "errors": [] }, { "id": "reqent_2", "description": "defaults.profile.business_url", "minimum_deadline": { "status": "currently_due" }, "awaiting_action_from": "user", "errors": [] }, { "id": "reqent_3", "description": "identity.business_details.address.city", "minimum_deadline": { "status": "currently_due" }, "awaiting_action_from": "user", "errors": [] }, { "id": "reqent_4", "description": "identity.business_details.address.line1", "minimum_deadline": { "status": "currently_due" }, "awaiting_action_from": "user", "errors": [] }, { "id": "reqent_5", "description": "identity.business_details.address.postal_code", "minimum_deadline": { "status": "currently_due" }, "awaiting_action_from": "user", "errors": [] }, { "id": "reqent_6", "description": "identity.business_details.address.state", "minimum_deadline": { "status": "currently_due" }, "awaiting_action_from": "user", "errors": [] }, { "id": "reqent_7", "description": "identity.business_details.registered_name", "minimum_deadline": { "status": "currently_due" }, "awaiting_action_from": "user", "errors": [] }, { "id": "reqent_8", "description": "identity.business_details.phone", "minimum_deadline": { "status": "currently_due" }, "awaiting_action_from": "user", "errors": [] }, { "id": "reqent_9", "description": "identity.business_details.id_numbers.us_ein", "minimum_deadline": { "status": "currently_due" }, "awaiting_action_from": "user", "errors": [] }, { "id": "reqent_10", "description": "relationship.representative", "minimum_deadline": { "status": "currently_due" }, "awaiting_action_from": "user", "errors": [] }, { "id": "reqent_11", "description": "relationship.owner", "minimum_deadline": { "status": "currently_due" }, "awaiting_action_from": "user", "errors": [] } ] } } ``` 次に、レスポンスで特定された必要な情報を取得し、アカウントオブジェクトに追加します。 ```curl curl -X POST https://api.stripe.com/v2/core/accounts/{{CONNECTEDACCOUNT_ID}} \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2025-11-17.preview" \ --json '{ "defaults": { "profile": { "business_url": "https://bestcookieco.com" } }, "identity": { "business_details": { "address": { "city": "Schenectady", "line1": "123 State St", "postal_code": "12345", "state": "NY" }, "id_numbers": [ { "type": "us_ein", "value": "000000000" } ], "phone": "8888675309", "registered_name": "The Best Cookie Co" } } }' ``` ビジネスの詳細を更新すると、要件のエントリが変更される場合があります。`Person` 要件の場合、会社を代表する、または会社を所有する人々の `Account` オブジェクトの下に `Person` オブジェクトを作成して更新する必要があります。 [Persons](https://docs.stripe.com/api/v2/core/persons.md?api-version=2025-11-17.preview) API を使用して、アカウントの担当者または代表者の関係を持つ各人物のプロフィールを作成します。この例では、Jenny Rosen のプロフィールを作成し、`CEO` の`肩書き`を持つ`代表者`として指定します。 ```curl curl -X POST https://api.stripe.com/v2/core/accounts/{{CONNECTEDACCOUNT_ID}}/persons \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2025-11-17.preview" \ --json '{ "given_name": "Jenny", "surname": "Rosen", "relationship": { "representative": true, "title": "CEO" } }' ``` > [business_type](https://docs.stripe.com/api/accounts/object.md#account_object-business_type) を `individual` に設定したアカウントでは、`individual` プロパティ (`individual.first_name` など) を 1 つ以上指定すると、[Person (人物)](https://docs.stripe.com/api/persons/object.md) オブジェクトが自動的に作成されます。これを行わないか、`business_type` を `company` に設定したアカウントでは、アカウントの[各 Person](https://docs.stripe.com/api/persons/create.md) を作成する必要があります。 `Person` を作成すると、レスポンスには `requirements.entries` ハッシュが含まれ、その人物に必要な本人確認情報がリストされます。 ```json { "id": "person_abc", "object": "person", "requirements": { "entries": [ { "id": "p_req_1", "description": "representative.address.city", "minimum_deadline": { "status": "currently_due" }, "errors": [] }, { "id": "p_req_2", "description": "representative.address.line1", "minimum_deadline": { "status": "currently_due" }, "errors": [] }, { "id": "p_req_3", "description": "representative.address.postal_code", "minimum_deadline": { "status": "currently_due" }, "errors": [] }, { "id": "p_req_3", "description": "representative.address.state", "minimum_deadline": { "status": "currently_due" }, "errors": [] }, `` { "id": "p_req_4", "description": "representative.date_of_birth.day", "minimum_deadline": { "status": "currently_due" }, "errors": [] }, { "id": "p_req_5", "description": "representative.date_of_birth.month", "minimum_deadline": { "status": "currently_due" }, "errors": [] }, { "id": "p_req_6", "description": "representative.date_of_birth.year", "minimum_deadline": { "status": "currently_due" }, "errors": [] }, { "id": "p_req_7", "description": "representative.phone", "minimum_deadline": { "status": "currently_due" }, "errors": [] }, { "id": "p_req_8", "description": "representative.email", "minimum_deadline": { "status": "currently_due" }, "errors": [] }, { "id": "p_req_9", "description": "identity.attestations.persons_provided.owners", "minimum_deadline": { "status": "currently_due" }, "errors": [] }, { "id": "p_req_10", "description": "representative.id_numbers. us_ssn_last_4", "minimum_deadline": { "status": "currently_due" }, "errors": [] } ] } } ``` `Person` を作成し、リクエストされた個人レベルの詳細を指定すると、アカウントの `requirements.entries` に[個人 ID](https://docs.stripe.com/api/v2/core/persons/object.md?api-version=2025-11-17.preview#v2_person_object-id) を参照する説明が含まれます。 Jenny Rosen に必要な確認情報を提供するため、[Person を更新](https://docs.stripe.com/api/v2/core/persons/update.md?api-version=2025-11-17.preview)します。 ```curl curl -X POST https://api.stripe.com/v2/core/accounts/{{CONNECTEDACCOUNT_ID}}/persons/{{PERSON_ID}} \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2025-11-17.preview" \ --json '{ "address": { "city": "Schenectady", "line1": "123 State St", "postal_code": "12345", "state": "NY" }, "date_of_birth": { "day": 10, "month": 11, "year": 1980 }, "id_numbers": [ { "type": "us_ssn_last_4", "value": "0000" } ], "phone": "8888675309", "email": "jenny@example.com", "relationship": { "executive": true } }' ``` `relationship.executive` を true に設定すると、代表者が組織に対して重要な支配権を有することが Stripe に対して確認されます。[アメリカで必須の確認情報](https://docs.stripe.com/connect/required-verification-information.md#additional-company-card-representative-us)には、アメリカ企業の会社代表者の確認の詳細に関する詳細が記載されています。 所有者を追加するには、別の `Person` を作成し、その人物をアカウントの `owner` としてマークします。この例では、Kathleen Banks が The Best Cookie Co. の 80% を所有しています。 ```curl curl -X POST https://api.stripe.com/v2/core/accounts/{{CONNECTEDACCOUNT_ID}}/persons \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2025-11-17.preview" \ --json '{ "given_name": "Kathleen", "surname": "Banks", "email": "kathleen@example.com", "relationship": { "owner": true, "percent_ownership": "80" } }' ``` 会社の 25% 以上の所有権を持つすべての所有者を追加し、`identity.attestations.persons_provided.owners` を true に設定する必要があります。 ```curl curl -X POST https://api.stripe.com/v2/core/accounts/{{CONNECTEDACCOUNT_ID}} \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2025-11-17.preview" \ --json '{ "identity": { "attestations": { "persons_provided": { "owners": true } } } }' ``` この段階で連結アカウントの初期ユーザー登録が成功すると、以下が可能になります。 - 必要な情報がすべて入力されました (`requirements.summary.minimum_deadline=null`)。 - 支払いはこのアカウントで有効になっています (`charges_enabled=true`)。 - Stripe から `v2.core.account.updated` *Webhook* (A webhook is a real-time push notification sent to your application as a JSON payload through HTTPS requests) イベントを受信しました。 ## しきい値をテストする *事前ユーザー登録* (Upfront onboarding is a type of onboarding where you collect all required verification information from your users at sign-up)と*インクリメンタルアカウント登録* (Incremental onboarding is a type of onboarding where you gradually collect required verification information from your users. You collect a minimum amount of information at sign-up, and you collect more information as the connected account earns more revenue)のいずれを使用する場合でも、Stripe は、連結アカウントが特定のしきい値に達すると、連結アカウントに関する追加情報をリクエストすることがあります。たとえば、支払いが 1,500 USD に達した後、またはアカウント作成から 30 日後に追加情報が必要になる場合があります。アカウントがしきい値に達した場合に最終的に必要になる可能性がある情報を確認するには、`requirements.entries` 配列で `minimum_deadline.status` が `eventually_due` の要件を確認します。 特定の日付までに必要な情報をご提供いただけない場合、支払いと入金が無効になる可能性があります。これらのシナリオをトリガーしてテストできます。 ### しきい値のトリガー [確認](https://docs.stripe.com/connect/testing.md#trigger-cards)トークン (`tok_visa_triggerVerification`) を使用して支払いを作成し、一般的な確認しきい値をトリガーできます。これによって支払いまたは入金がブロックされることはありませんが、追加の情報リクエストはトリガーされます。[v2.core.account[requirements].updated](https://docs.stripe.com/api/v2/core/accounts/event-types.md?api-version=2025-11-17.preview#v2_accounts_event_types-v2.core.account%5Brequirements%5D.updated) Webhook イベントをリッスンしている場合は、以下を確認できます。 - `minimum_deadline.status` が `currently_due` のエントリの `requirements.entries` - `requirements.summary.minimum_deadline.time`: これらのエントリに適用される最も早い期限を確認する 期日までに必要な情報が提供されない場合のシナリオをテストするには、以下の[支払いブロック](https://docs.stripe.com/connect/testing-verification.md#blocked-charges)と[入金](https://docs.stripe.com/connect/testing-verification.md#blocked-payouts)のセクションを参照してください。 また、[本人確認不一致](https://docs.stripe.com/connect/testing.md#test-personal-id-numbers)や [OFAC しきい値](https://docs.stripe.com/connect/testing.md#test-dobs)など、より具体的な検証イベントを発生させることもできます。これらのシナリオをテストすると、確認が失敗したときに発生することが多いため便利です。 ### ブロックされた支払いをテストする [charge block](https://docs.stripe.com/connect/testing.md#trigger-cards) トークン (`tok_visa_triggerChargeBlock`) を使用してテスト決済を作成することで、支払いをブロックできます。これを行うと、以下を示す [v2.core.account[requirements].updated](https://docs.stripe.com/api/v2/core/accounts/event-types.md?api-version=2025-11-17.preview#v2_accounts_event_types-v2.core.account%5Brequirements%5D.updated) Webhook イベントが届きます。 - カード支払いの関連するケイパビリティステータスが `active` ではありません (たとえば、`configuration.merchant.capabilities.card_payments.status` が `active` ではい) - `requirements.entries` 配列の必須情報 (`minimum_deadline.status` および `currently_due`) - まだ必要のないエントリは、`minimum_deadline.status` と `eventually_due` として設定されます。 その後、新しい情報で[アカウントを更新](https://docs.stripe.com/api/v2/core/accounts/update.md?api-version=2025-11-17.preview)できます。これにより、別の Webhook イベントがトリガーされます。これは、支払いが有効であり、現在期日または最終的に期日の要件がないことを示します。 ### ブロックされた入金をテストする 入金をブロックするには、[送金ブロック](https://docs.stripe.com/connect/testing.md#trigger-cards)トークン (`tok_visa_triggerTransferBlock`) を使用してテスト決済を作成します。これを行うと、`v2.core.account.updated` Webhook イベントが届き、以下が示されます。 - `merchant` または `recipient` の設定の `capabilities.stripe_balance.payouts.status` が `active` ではありません - `minimum_deadline.status` が `currently_due` の `requirements.entries` 配列で現在必要な情報 - 最終的に、`minimum_deadline.status` が `eventually_due` の `requirements.entries` 配列に必要な情報 その後、新しい情報を使用して[アカウントを更新](https://docs.stripe.com/api/v2/core/accounts/update.md?api-version=2025-11-17.preview)します。これにより、別の Webhook イベントがトリガーされます。この Webhook は入金が有効になったことと、`requirements.summary` および `requirements.summary.minimum_deadline` の両配列が空であることを示します。 # Accounts v1 > This is a Accounts v1 for when accounts-namespace is v1. View the full page at https://docs.stripe.com/connect/testing-verification?accounts-namespace=v1. このドキュメントは、[API によるアカウント登録](https://docs.stripe.com/connect/api-onboarding.md)、[アカウントの更新](https://docs.stripe.com/connect/updating-service-agreements.md)方法、[本人確認](https://docs.stripe.com/connect/identity-verification.md)について十分に理解していることを前提としています。 確認フローをテストして、アカウントの状態の変化 (支払いを有効または無効にする場合など) に対応できることを確認する必要があります。通常、アカウントの状態は、要件が満たされた後、または処理または時間のしきい値に達したときに変化します。以下のセクションでは、これらの変更と、確認フローをテストする方法について説明します。 ## 初期要件のテスト まず、*サンドボックス* (A sandbox is an isolated test environment that allows you to test Stripe functionality in your account without affecting your live integration. Use sandboxes to safely experiment with new features and changes)で新しい連結アカウントを作成し、銀行口座を追加して、アカウント所有者が Stripe 利用規約に同意したことを確認します。Stripe では、連結アカウントは入金を行う前に [Stripe の利用契約](https://docs.stripe.com/connect/updating-service-agreements.md#tos-acceptance)に明示的に同意する必要があります。この例ではより複雑なシナリオを説明するため、`business_type` を `company` に設定し、`external_account` にはトークン化された Stripe のテストアカウントを指定して、万が一にも API コールで機密情報が公開されないようにしています。 > Connect プラットフォームのアカウント登録を開始した Stripe アカウントからテスト用の API キーを指定する必要があります。自動入力された Stripe のテスト用 API キーを使用すると、これらのサンプルリクエストが失敗します。 連結アカウントはコントローラープロパティを使用するか、アカウントタイプを設定して作成できます。いずれの場合も、国を設定して、`card_payments` ケイパビリティと `transfers` ケイパビリティをリクエストする必要があります。 #### コントローラプロパティを使用した場合 ```curl curl https://api.stripe.com/v1/accounts \ -u "<>:" \ -d country=US \ -d "controller[losses][payments]=application" \ -d "controller[fees][payer]=application" \ -d "controller[stripe_dashboard][type]=none" \ -d "controller[requirement_collection]=application" \ -d business_type=company \ -d "capabilities[card_payments][requested]=true" \ -d "capabilities[transfers][requested]=true" \ -d external_account=btok_us \ -d "tos_acceptance[date]=1547923073" \ -d "tos_acceptance[ip]=172.18.80.19" ``` #### アカウントタイプを使用した場合 ```curl curl https://api.stripe.com/v1/accounts \ -u "<>:" \ -d country=US \ -d type=custom \ -d business_type=company \ -d "capabilities[card_payments][requested]=true" \ -d "capabilities[transfers][requested]=true" \ -d external_account=btok_us \ -d "tos_acceptance[date]=1547923073" \ -d "tos_acceptance[ip]=172.18.80.19" ``` この時点でアカウントが作成されますが、支払いと*入金* (A payout is the transfer of funds to an external account, usually a bank account, in the form of a deposit)はまだ無効になっています。レスポンスで、`requirements.currently_due` 配列を確認して、収集する必要がある情報を特定します。 ```json { "id": ""{{CONNECTED_ACCOUNT_ID}}"", "object": "account", "requirements": { "currently_due": [ "business_profile.mcc", "business_profile.url", "company.address.city", "company.address.line1", "company.address.postal_code", "company.address.state", "company.name", "company.phone", "company.tax_id", "relationship.representative", "relationship.owner" ], ... }, ... } ``` 次に、レスポンスで返された外部アカウントの `id` を使用し、アカウントに関する必要な追加情報を提供してアカウントを更新します。 ```curl curl https://api.stripe.com/v1/accounts/{{CONNECTEDACCOUNT_ID}} \ -u "<>:" \ -d "business_profile[mcc]=5045" \ --data-urlencode "business_profile[url]=https://bestcookieco.com" \ -d "company[address][city]=Schenectady" \ -d "company[address][line1]=123 State St" \ -d "company[address][postal_code]=12345" \ -d "company[address][state]=NY" \ -d "company[tax_id]=000000000" \ -d "company[name]=The Best Cookie Co" \ -d "company[phone]=8888675309" ``` 会社の詳細が正しく更新された後で、`requirements.currently_due` を確認すると、`relationship` 要件がまだ必要であることが示されます。 ```json { "id": ""{{CONNECTED_ACCOUNT_ID}}"", "object": "account", "requirements": { "currently_due": [ "relationship.representative", "relationship.owner", ], ... }, ... } ``` [Persons](https://docs.stripe.com/api/persons.md) API を使用して、アカウントとの関係を表す個人のプロフィールを作成します。この例では、Jenny Rosen のプロフィールを作成し、`representative` と指定します。さらに、この例ではオプションの `title` 属性も入力しています。 ```curl curl https://api.stripe.com/v1/accounts/{{CONNECTEDACCOUNT_ID}}/persons \ -u "<>:" \ -d first_name=Jenny \ -d last_name=Rosen \ -d "relationship[representative]=true" \ -d "relationship[title]=CEO" ``` > [business_type](https://docs.stripe.com/api/accounts/object.md#account_object-business_type) を `individual` に設定したアカウントでは、`individual` プロパティ (`individual.first_name` など) を 1 つ以上指定すると、[Person (人物)](https://docs.stripe.com/api/persons/object.md) オブジェクトが自動的に作成されます。これを行わないか、`business_type` を `company` に設定したアカウントでは、アカウントの[各 Person](https://docs.stripe.com/api/persons/create.md) を作成する必要があります。 `Person` を作成すると、レスポンスには `requirements` ハッシュが含まれ、その人物に必要な本人確認情報がリストされます。 ```json { "id": ""{{CONNECTED_ACCOUNT_ID}}"", "object": "account", "requirements": { "currently_due": [ "address.city", "address.line1", "address.postal_code", "address.state", "dob.day", "dob.month", "dob.year", "phone", "email", "relationship.executive", "ssn_last_4" ], ... }, ... } ``` 外部アカウントの `Person` を作成した後で `Account` オブジェクトをチェックすると、新たに作成された `Person` に必要な本人確認情報が `requirements.currently_due` リストに追加されていることを確認できます。 ```json { "id": ""{{CONNECTED_ACCOUNT_ID}}"", "object": "account", "requirements": { "currently_due": [ "person.person_xxx.address.city", "person.person_xxx.address.line1", "person.person_xxx.address.postal_code", "person.person_xxx.address.state", "person.person_xxx.dob.day", "person.person_xxx.dob.month", "person.person_xxx.dob.year", "person.person_xxx.phone", "person.person_xxx.email", "person.person_xxx.relationship.executive", "person.person_xxx.ssn_last_4", "relationship.owner" ], ... }, ... } ``` [Update a Person](https://docs.stripe.com/api/persons/update.md) API を使用して、Jenny Rosen に必要な本人確認情報を提供します。 ```curl curl https://api.stripe.com/v1/accounts/{{CONNECTEDACCOUNT_ID}}/persons/{{PERSON_ID}} \ -u "<>:" \ -d "address[city]=Schenectady" \ -d "address[line1]=123 State St" \ -d "address[postal_code]=12345" \ -d "address[state]=NY" \ -d "dob[day]=10" \ -d "dob[month]=11" \ -d "dob[year]=1980" \ -d ssn_last_4=0000 \ -d phone=8888675309 \ --data-urlencode "email=jenny@example.com" \ -d "relationship[executive]=true" ``` `relationship[executive]=true` を設定して、代表者が組織内で重要な支配権を持っている人物であることを Stripe に対して宣言します。アメリカの企業の会社代表者の本人確認については、[アメリカで必須の本人確認情報](https://docs.stripe.com/connect/required-verification-information.md#additional-company-card-representative-us)で詳細をご覧ください。 `representative` 情報を提供した後で、Stripe ではさらにアカウントの `owner` を識別する必要があります。この例では、Kathleen Banks が The Best Cookie Co. の 80% を所有しています。 ```curl curl https://api.stripe.com/v1/accounts/{{CONNECTEDACCOUNT_ID}}/persons \ -u "<>:" \ -d first_name=Kathleen \ -d last_name=Banks \ --data-urlencode "email=kathleen@example.com" \ -d "relationship[owner]=true" \ -d "relationship[percent_ownership]=80" ``` 例では、Kathleen Banks が所有しているのは The Best Cookie Co. の 100% 未満です。所有権の合計を 100% にする別の所有者が定義されていないため、Stripe はお客様に対して必要なすべての所有者に関する情報を収集したことを確認するように求めます。 ```curl curl https://api.stripe.com/v1/accounts/{{CONNECTEDACCOUNT_ID}} \ -u "<>:" \ -d "company[owners_provided]=true" ``` この段階で連結アカウントの処理が正常に完了することは、次を意味します。 - 必要な情報の収集をすべて完了しました (`requirements.currently_due=null`)。 - 支払いはこのアカウントで有効になっています (`charges_enabled=true`)。 - Stripe から `account.updated` *Webhook* (A webhook is a real-time push notification sent to your application as a JSON payload through HTTPS requests) を受信しました。 ## しきい値をテストする *アップフロントアカウント登録* (Upfront onboarding is a type of onboarding where you collect all required verification information from your users at sign-up)または*インクリメンタルアカウント登録* (Incremental onboarding is a type of onboarding where you gradually collect required verification information from your users. You collect a minimum amount of information at sign-up, and you collect more information as the connected account earns more revenue)のどちらを使用している場合も、さまざまなしきい値に達したときに、連結アカウントに関する詳細情報の提出を、Stripe からリクエストすることがあります。これらのしきい値は、確認の失敗または [OFAC](https://www.treasury.gov/about/organizational-structure/offices/Pages/Office-of-Foreign-Assets-Control.aspx) チェックによってトリガーされる場合があります。また、processing または time コンポーネントによってトリガーされることもあります。たとえば、支払いが 1,500 USD に達した後、またはアカウントの作成から 30 日後 (いずれか早い方) に詳細情報の提出を求められる場合があります。必要な情報と期日を確認するには、`requirements.eventually_due` 配列と `requirements.current_deadline` タイムスタンプをチェックします。 特定の期日までに新しい情報が収集されていない場合は、情報が収集されるまで、支払いと入金が無効になることがあります。これらのシナリオをトリガーしてしきい値をテストし、必要な情報を収集できます。 ### しきい値のトリガー [確認](https://docs.stripe.com/connect/testing.md#trigger-cards)トークン (`tok_visa_triggerVerification`) を使用して支払いを作成し、一般的な確認しきい値をトリガーできます。これによって支払いまたは入金がブロックされることはありませんが、情報追加のリクエストはトリガーされます。`account.updated` Webhook をリッスンしている場合は、以下を確認できます。 - `requirements.currently_due` をチェックして、収集が必要な情報を判断します。 - `requirements.current_deadline` をチェックして、情報が必要になる期日を確認します。 情報が `current_deadline` までに収集されない場合、支払いと入金が無効になることがあります。このようなシナリオをテストするには、以下の [支払い](https://docs.stripe.com/connect/testing-verification.md#blocked-charges)のブロックと[入金](https://docs.stripe.com/connect/testing-verification.md#blocked-payouts)のブロックのセクションをご覧ください。 [ID の不一致](https://docs.stripe.com/connect/testing.md#test-personal-id-numbers) がある場合や [OFAC しきい値](https://docs.stripe.com/connect/testing.md#test-dobs) に達した場合など、より詳細な確認しきい値をトリガーできます。 これらは確認が失敗したときに発生することが多いため、これらのしきい値をテストすることが役立ちます。 ### ブロックされた支払いをテストする [支払いブロック](https://docs.stripe.com/connect/testing.md#trigger-cards)トークン (`tok_visa_triggerChargeBlock`) を使用してテスト決済を作成して、支払いをブロックできます。これを行うと、`account.updated` Webhook が届き、以下が示されます。 - `charges_enabled=false` - `requirements.currently_due` 配列内の必須の情報。 - 空の `requirements.eventually_due` 配列。 その後、新しい情報を使用して[アカウントを更新](https://docs.stripe.com/api/accounts/update.md)します。これにより、別の Webhook がトリガーされます。この Webhook は支払いが有効になったことと、`requirements.currently_due` および `requirements.eventually_due` の両配列が空であることを示します。 ### ブロックされた入金をテストする [送金ブロック](https://docs.stripe.com/connect/testing.md#trigger-cards)トークン (`tok_visa_triggerTransferBlock`) を使用してテスト決済を作成して、入金をブロックできます。これを行うと、`account.updated` Webhook が届き、以下が示されます。 - `payouts_enabled=false` - `requirements.currently_due` 配列内の必須の情報。 - 空の `requirements.eventually_due` 配列。 その後、新しい情報を使用して[アカウントを更新](https://docs.stripe.com/api/accounts/update.md)します。これにより、別の Webhook がトリガーされます。この Webhook は入金が有効になったことと、`requirements.currently_due` および `requirements.eventually_due` の両配列が空であることを示します。